Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsSceneWheelEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QGraphicsSceneEvent
                      com.trolltech.qt.gui.QGraphicsSceneWheelEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QGraphicsSceneWheelEvent

extends QGraphicsSceneEvent

The `QGraphicsSceneWheelEvent` class provides wheel events in the graphics view framework.

The `QGraphicsSceneWheelEvent` class provides wheel events in the graphics view framework.

QWheelEvents received by a `QGraphicsView` are translated into QGraphicsSceneWheelEvents; it translates the QWheelEvent::globalPos() into item, scene, and screen coordinates (`pos`, `scenePos`, and `screenPos`).

See Also:
  `QGraphicsSceneMouseEvent`, `QGraphicsSceneContextMenuEvent`, `QGraphicsSceneHoverEvent`, `QWheelEvent`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QGraphicsSceneWheelEvent()` Equivalent to `QGraphicsSceneWheelEvent`(None).
`QGraphicsSceneWheelEvent(QEvent.Type type)`

Method Summary
`Qt.MouseButtons` | `buttons()` Returns the mouse buttons that were pressed when the wheel event occurred.
`int` | `delta()` Returns the distance that the wheel is rotated, in eighths (1/8s) of a degree.
`static QGraphicsSceneWheelEvent` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QGraphicsSceneWheelEvent instance pointed to by nativePointer
`Qt.KeyboardModifiers` | `modifiers()` Returns the keyboard modifiers that were active when the wheel event occurred.
`Qt.Orientation` | `orientation()` Returns the wheel orientation.
`QPointF` | `pos()` Returns the position of the cursor in item coordinates when the wheel event occurred.
`QPointF` | `scenePos()` Returns the position of the cursor in item coordinates when the wheel event occurred.
`QPoint` | `screenPos()` Returns the position of the cursor in screen coordinates when the wheel event occurred.
`void` | `setButtons(Qt.MouseButton... buttons)`
`void` | `setButtons(Qt.MouseButtons buttons)`
`void` | `setDelta(int delta)`
`void` | `setModifiers(Qt.KeyboardModifier... modifiers)`
`void` | `setModifiers(Qt.KeyboardModifiers modifiers)`
`void` | `setOrientation(Qt.Orientation orientation)`
`void` | `setPos(QPointF pos)`
`void` | `setScenePos(QPointF pos)`
`void` | `setScreenPos(QPoint pos)`

Methods inherited from class com.trolltech.qt.gui.QGraphicsSceneEvent
`widget`

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QGraphicsSceneWheelEvent

    public QGraphicsSceneWheelEvent()

  Equivalent to `QGraphicsSceneWheelEvent`(None).

### QGraphicsSceneWheelEvent

    public QGraphicsSceneWheelEvent(QEvent.Type type)

Method Detail

### buttons

    public final Qt.MouseButtons buttons()

  Returns the mouse buttons that were pressed when the wheel event occurred.

  See Also:
    `setButtons`, `modifiers`

### delta

    public final int delta()

  Returns the distance that the wheel is rotated, in eighths (1/8s) of a degree. A positive value indicates that the wheel was rotated forwards away from the user; a negative value indicates that the wheel was rotated backwards toward the user.

  Most mouse types work in steps of 15 degrees, in which case the delta value is a multiple of 120 (== 15 * 8).

  See Also:
    `setDelta`

### modifiers

    public final Qt.KeyboardModifiers modifiers()

  Returns the keyboard modifiers that were active when the wheel event occurred.

  See Also:
    `setModifiers`, `buttons`

### orientation

    public final Qt.Orientation orientation()

  Returns the wheel orientation.

  See Also:
    `setOrientation`

### pos

    public final QPointF pos()

  Returns the position of the cursor in item coordinates when the wheel event occurred.

  See Also:
    `setPos`, `scenePos`, `screenPos`

### scenePos

    public final QPointF scenePos()

  Returns the position of the cursor in item coordinates when the wheel event occurred.

  See Also:
    `setScenePos`, `pos`, `screenPos`

### screenPos

    public final QPoint screenPos()

  Returns the position of the cursor in screen coordinates when the wheel event occurred.

  See Also:
    `setScreenPos`, `pos`, `scenePos`

### setButtons

    public final void setButtons(Qt.MouseButton... buttons)

  See Also:
    `buttons`

### setButtons

    public final void setButtons(Qt.MouseButtons buttons)

  See Also:
    `buttons`

### setDelta

    public final void setDelta(int delta)

  See Also:
    `delta`

### setModifiers

    public final void setModifiers(Qt.KeyboardModifier... modifiers)

  See Also:
    `modifiers`

### setModifiers

    public final void setModifiers(Qt.KeyboardModifiers modifiers)

  See Also:
    `modifiers`

### setOrientation

    public final void setOrientation(Qt.Orientation orientation)

  See Also:
    `orientation`

### setPos

    public final void setPos(QPointF pos)

  See Also:
    `pos`

### setScenePos

    public final void setScenePos(QPointF pos)

  See Also:
    `scenePos`

### setScreenPos

    public final void setScreenPos(QPoint pos)

  See Also:
    `screenPos`

### fromNativePointer

    public static QGraphicsSceneWheelEvent fromNativePointer(QNativePointer nativePointer)

  This function returns the QGraphicsSceneWheelEvent instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD